Name:           speedcrunch
Version:        0.10
Release:        2%{?dist}
Summary:        A fast power user calculator for KDE

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://speedcrunch.digitalfanatics.org
Source0:        http://speedcrunch.googlecode.com/files/speedcrunch-%{version}.tar.gz 
Source1:        speedcrunch.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  cmake qt4-devel desktop-file-utils ImageMagick
#Requires:       

%description
SpeedCrunch is a fast, high precision and powerful desktop calculator.
Among its distinctive features are a scrollable display, up to 50 decimal
precisions, unlimited variable storage, intelligent automatic completion
full keyboard-friendly and more than 15 built-in math function.

%prep
%setup -q
sed -i 's/\r//' COPYING ChangeLog README

%build
mkdir fedora
cd fedora
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
export FFLAGS="$RPM_OPT_FLAGS"
cmake ../src \
        -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
        -DBUILD_SHARED_LIBS:BOOL=ON
make VERBOSE=1 %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd fedora
make install DESTDIR=$RPM_BUILD_ROOT

# Create icons on the fly
cd ../src/resources
for size in 16 24 32 48 64; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps
    convert -size ${size}x${size} speedcrunch.png \
        $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${size}x${size}/apps/speedcrunch.png
done

desktop-file-install --vendor=""                              \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications         \
        %{SOURCE1}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/speedcrunch
%{_datadir}/applications/speedcrunch.desktop
%{_datadir}/speedcrunch
%{_datadir}/icons/hicolor/*/apps/speedcrunch.png
%{_datadir}/pixmaps/speedcrunch.png

%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Apr 17 2008 Roland Wolters <wolters.liste@gmx.net> - 0.10-1
- update to version 0.10

* Fri Feb 22 2008 Roland Wolters <wolters.liste@gmx.net> - 0.9-3
- rebuild for fixed dependencies

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.9-2
- Autorebuild for GCC 4.3

* Thu Nov 22 2007 Roland Wolters <wolters.liste@gmx.net> - 0.9-1
- update to version 0.9 including a new math engine and inverse hyperbolic
  functions

* Thu Aug 16 2007 Roland Wolters <wolters.liste@gmx.net> - 0.8-5
- licence tag corrected

* Thu Jul 26 2007 Roland Wolters <wolters.liste@gmx.net> 0.8-1
- update to upstream 0.8
- various new features and bugfixes

* Mon Apr 23 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-1
- update to upstream 0.7
- icon scriplets for spec file added

* Sat Apr 20 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.7-0.10.beta2
- add icon to the desktop file

* Thu Feb 22 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-0.9.beta2
- bumped version due to cvs problems

* Thu Feb 22 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-0.4.beta2
- changed the version numbering

* Thu Feb 22 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-beta2.3
- Added main category to desktop file

* Thu Feb 15 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-beta2.2
- corrected spaces/tabs mixing in spec file
- corrected end-line-encoding

* Tue Feb 13 2007 Roland Wolters <wolters.liste@gmx.net> 0.7-beta2.1
- initial build

